Package org.apache.naming

## Class NameParserImpl

- java.lang.Object
- - org.apache.naming.NameParserImpl

All Implemented Interfaces:
  `javax.naming.NameParser`

    public class NameParserImpl
    extends java.lang.Object
    implements javax.naming.NameParser

Parses names.

Author:
  Remy Maucherat

### Constructor Summary

Constructors
`NameParserImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.naming.Name` `parse​(java.lang.String name)` Parses a name into its components.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NameParserImpl

    public NameParserImpl()

### Method Detail

#### parse

    public javax.naming.Name parse​(java.lang.String name)
                            throws javax.naming.NamingException

Parses a name into its components.

Specified by:
  `parse` in interface `javax.naming.NameParser`
Parameters:
  `name` - The non-null string name to parse
Returns:
  A non-null parsed form of the name using the naming convention of this parser.
Throws:
  `javax.naming.NamingException`